﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using NationalTheatreMVC4.Models;

namespace NationalTheatreMVC4.Controllers
{
    public class TheatreController : Controller
    {
        private NationatTheatreDBContext db = new NationatTheatreDBContext();

        //
        // GET: /Theatre/

        public ActionResult Index()
        {
            return View(db.Theatres.ToList());
        }

        //
        // GET: /Theatre/Details/5

        public ActionResult Details(int id = 0)
        {
            Theatre theatre = db.Theatres.Find(id);
            if (theatre == null)
            {
                return HttpNotFound();
            }
            return View(theatre);
        }

        //
        // GET: /Theatre/Create

        public ActionResult Create()
        {
            return View();
        }

        //
        // POST: /Theatre/Create

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(Theatre theatre)
        {
            if (ModelState.IsValid)
            {
                db.Theatres.Add(theatre);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(theatre);
        }

        //
        // GET: /Theatre/Edit/5

        public ActionResult Edit(int id = 0)
        {
            Theatre theatre = db.Theatres.Find(id);
            if (theatre == null)
            {
                return HttpNotFound();
            }
            return View(theatre);
        }

        //
        // POST: /Theatre/Edit/5

        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(Theatre theatre)
        {
            if (ModelState.IsValid)
            {
                db.Entry(theatre).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(theatre);
        }

        //
        // GET: /Theatre/Delete/5

        public ActionResult Delete(int id = 0)
        {
            Theatre theatre = db.Theatres.Find(id);
            if (theatre == null)
            {
                return HttpNotFound();
            }
            return View(theatre);
        }

        //
        // POST: /Theatre/Delete/5

        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Theatre theatre = db.Theatres.Find(id);
            db.Theatres.Remove(theatre);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}